Skip to main content
`Ctrl`+`K`

# BaseFrame

class astropy.visualization.wcsaxes.frame.BaseFrame(parent_axes, transform, path=None)

  Bases: `OrderedDict`

  Base class for frames, which are collections of `Spine` instances.

  Attributes Summary

  `origin` |
  `patch` |
  `transform` |

  Methods Summary

  `draw`(renderer) |
  `get_color`() |
  `get_linewidth`() |
  `sample`(n_samples) |
  `set_color`(color) | Sets the color of the frame.
  `set_linewidth`(linewidth) | Sets the linewidth of the frame.
  `update_spines`() |

  Attributes Documentation

  origin
  patch
  transform

  Methods Documentation

  draw(renderer)
  get_color()
  get_linewidth()
  sample(n_samples)
  set_color(color)

    Sets the color of the frame.

    Parameters:
      color `python:str`

        The color of the frame.

  set_linewidth(linewidth)

    Sets the linewidth of the frame.

    Parameters:
      linewidth `python:float`

        The linewidth of the frame in points.

  update_spines()